Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4798/?format=api
{ "ob_id": 4798, "uuid": "b26f235798834aaeed512083e9963fee", "title": "Convective Storm Initiation Project (CSIP): Institute of Meteorology and Climate Research (IMK) Radiosonde Data", "abstract": "The dataset contains the data collected by radiosondes, released by IMK, in both Bath and Chilbolton, during the period from the 19th of June 2005 to the 25th of August 2005. The datset contains measurements of:\r\nThe dataset contains measurements of:\r\nHeight above sea level (m)\r\nTime since midnight (s)\r\nTime since midnight (hh:mm:ss)\r\nHeight above ground (m)\r\nDry-bulb temperature (degree Celsius)\r\nRelative Humidity (percentage)\r\nWind speed (m/s)\r\nWind direction (degree true)\r\nPressure (hPa)\r\nPotential Temperature (degree Kelvin)\r\nDew-point temperature (degree Celsius)\r\nSpecific humidity (g/kg)\r\nSaturation mixing ratio (g/kg)\r\nu-component of wind velocity (m/s)\r\nv-component of wind velocity (m/s)", "keywords": "CSIP, Radiosonde, UFAM, AMF, meteorology", "publicationState": "published", "dataPublishedTime": "2006-08-17T09:47:54", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4799/?format=api", "dataPath": "/badc/csip/data/imk-radiosonde", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 485922177, "numberOfFiles": 592, "fileFormat": "Date are txt formatted and images are jpg formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1378/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/92/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were collected by the Institute of Meteorology and Climate Research (IMK) before preparation and delivery to the Convective Storm Initiation Project (CSIP) participants and then to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3215/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/4614/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4611/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21858/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21857/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21859/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21860/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21861/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21863/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43362/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43365/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54583/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/4800/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }